<?php
	$count = 0;
	$videos_per_row = get_option('db_videos_per_row', 3);

	$result .= '<div id="db-video-list-wrapper" data-videos-per-load="' . get_option('db_videos_per_load') . '">
		<table id="db-videolist">
		<tr>';

	for ($i = 0; $i < $videos_per_row; $i++) {
		$result .= '<th style="width: ' . (100 / $videos_per_row) . '%"></th>';
	}

	$result .= '</tr>';

	function is_leftmost($videos_per_row, $count) {
		return $count % $videos_per_row == 0;
	}

	function is_rightmost($videos_per_row, $count) {
		return $count % $videos_per_row == $videos_per_row - 1;
	}

	function is_inside($videos_per_row, $count) {
		return !is_leftmost($videos_per_row, $count) && !is_rightmost($videos_per_row, $count);
	}

	foreach ($videos as $video) {
		if (is_leftmost($videos_per_row, $count))
			$result .= '<tr>';

		$result .= '
			<td class="db-videolist-cell">
				<div class="db-thumbnail-wrapper">
					<div class="db-thumbnail" data-id="' . $video['id'] . '" style="' . (is_inside($videos_per_row, $count) ? 'margin-left: auto; margin-right: auto;' : '') . 'background: url(' . $video['thumbnail'] . ') no-repeat;' . (is_rightmost($videos_per_row, $count) ? 'float:right"' : '') . '">
						<div class="db-play-icon"></div>
						<div class="db-title-overlay">
							<p class="db-title">' . $video['title'] . '</p>
							<p class="db-description">' . $video['description'] . '</p>
						</div>
					</div>
				</div>
			</td>';
		if (is_rightmost($videos_per_row, $count))
			$result .= '</tr>';

		$count++;
	}
	$result .= '</table>
	<div class="clear"></div>
	<div id="more-videos">Lisää videoita</div>
	</div>';
?>